ALTER TABLE movies RENAME TO movies_old;
CREATE TABLE movies (state TEXT, seed_until DATETIME,title TEXT NOT NULL,add_date TEXT,length INTEGER,filename TEXT NOT NULL,filesize INTEGER NOT NULL,movies_id INTEGER PRIMARY KEY,bonus_desc TEXT,type INTEGER,vat REAL,added DATETIME default CURRENT_TIMESTAMP,price REAL,bonus_filename TEXT,visa TEXT,poster_filename TEXT,desc TEXT,license INTEGER,release_date TEXT,pricevat REAL,right_holders_share REAL,directors TEXT,resolution INTEGER);
INSERT INTO movies SELECT NULL, seed_until, title, add_date, length, filename, filesize, movies_id, bonus_desc, type, vat, added, price, bonus_filename, visa, poster_filename, desc, license, release_date, pricevat, right_holders_share, directors, resolution FROM movies_old;
UPDATE movies SET state = "visible";
DROP TABLE movies_old;

-- State :
-- visible | announced | downloading | queued


-- Schema : 
/*
CREATE TABLE bills (timestamp DATETIME default CURRENT_TIMESTAMP,number TEXT,bills_id INTEGER PRIMARY KEY AUTOINCREMENT);
CREATE TABLE bills_movies (price REAL,pricevat REAL,right_holders_share REAL,bills_id INTEGER,movies_id INTEGER,vat REAL);
CREATE TABLE db_version (
	version INTEGER
);
CREATE TABLE licenses (pdf TEXT,licenses_id INTEGER PRIMARY KEY,html TEXT,name TEXT);
CREATE TABLE movies (state TEXT, seed_until DATETIME,title TEXT NOT NULL,add_date TEXT,length INTEGER,filename TEXT NOT NULL,filesize INTEGER NOT NULL,movies_id INTEGER PRIMARY KEY,bonus_desc TEXT,type INTEGER,vat REAL,added DATETIME default CURRENT_TIMESTAMP,price REAL,bonus_filename TEXT,visa TEXT,poster_filename TEXT,desc TEXT,license INTEGER,release_date TEXT,pricevat REAL,right_holders_share REAL,directors TEXT,resolution INTEGER);
CREATE TABLE resolutions (resolutions_id INTEGER PRIMARY KEY,name TEXT);
CREATE TABLE revision (number TEXT);
CREATE TABLE rightsholders (name TEXT NOT NULL,rightsholders_id INTEGER PRIMARY KEY);
CREATE TABLE types (types_id INTEGER PRIMARY KEY,name TEXT NOT NULL);
*/
